Page MenuHomePhabricator

Add CheckUser integration to Extension:Newsletter
Closed, ResolvedPublic

Description

Special:NewsletterCreate and maybe other pages as well should add a log entry to the CheckUser database table (if it exists on that wiki) to log IP address associations with users when they perform

Unfortunately there is no easy interface in the CheckUser extension to use, so we'll simply have to manually insert a database row.

Details

Related Gerrit Patches:
mediawiki/extensions/Newsletter : masterPublish log entries to recent changes

Related Objects

StatusSubtypeAssignedTask
DuplicateQgil
ResolvedQgil
ResolvedQgil
DeclinedNone
ResolvedAddshore
DuplicateNone
Resolvedori
ResolvedBawolff
ResolvedGlaisher
Resolved01tonythomas
Resolved01tonythomas
Resolvednikitavbv
InvalidNone
ResolvedFilip
DuplicateNone
Resolved01tonythomas
ResolvedFilip
ResolvedMtDu
ResolvedMtDu
ResolvedGeorggi199
ResolvedFilip
ResolvedPppery
ResolvedFilip
ResolvedPppery
ResolvedPppery

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2016, 4:38 AM

CheckUser does have a public API for adding CU data, CheckUserHooks::updateCheckUserData(), which isn't very elegant but does work. But there is an easier way to do this: If the log entry is published to the RC, it will be added automatically by the CU extension itself. I commented about publishing in https://gerrit.wikimedia.org/r/#/c/280887/ but that comment seems to have been missed.

Change 282203 had a related patch set uploaded (by Glaisher):
Publish log entries to recent changes

https://gerrit.wikimedia.org/r/282203

Qgil triaged this task as Medium priority.Apr 7 2016, 5:50 PM

Change 282203 merged by jenkins-bot:
Publish log entries to recent changes

https://gerrit.wikimedia.org/r/282203

Qgil assigned this task to Glaisher.Apr 13 2016, 11:27 AM
Qgil added a subscriber: Qgil.May 2 2016, 8:01 AM

The patch is merged. Is there anything left to do in this task?

updateDescription(), updateMainPage, and updateName() in NewsletterStore doesn't add any log entry or anything like that.

Waiting for T132018. The proposal I made there would make it very to fix this.

Bawolff closed this task as Resolved.Aug 13 2017, 3:41 PM
Bawolff added a subscriber: Bawolff.

This seems done as newsletter now uses content handler, and that automatically adds check user entries.